GET api/Dashboard/GetACMRequestList?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfACMRequestDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of ACMRequestDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"CaseNo": 2,
"RequestReasonId": 1,
"RequestNote": "sample string 3",
"DeclineReasonId": 1,
"DeclineNote": "sample string 4",
"ResponseStatus": 1,
"ResponseById": 1,
"ResponseTime": "2026-06-20T07:12:28.050043-07:00",
"ReasonForDelete": "sample string 5",
"RequestReasonName": "sample string 6",
"RequestedUser": "sample string 7",
"EmployeeId": "sample string 8",
"CompanyEmployeeId": "sample string 9",
"CompanyName": "sample string 10",
"WLCode": "sample string 11",
"WLName": "sample string 12",
"FirstName": "sample string 13",
"LastName": "sample string 14",
"CaseCreatedDate": "2026-06-20T07:12:28.050043-07:00",
"CreatedDateCheck": "2026-06-20T07:12:28.050043-07:00",
"ResponseByUser": "sample string 15",
"EncounterId": 1,
"ValidFlag": true,
"DateCreated": "2026-06-20T07:12:28.050043-07:00",
"DateUpdated": "2026-06-20T07:12:28.050043-07:00",
"UserIDCreated": 19,
"UserIDUpdated": 20,
"CompanyCode": "sample string 21",
"IsExcludeDiscount": true
},
{
"Id": 1,
"CaseNo": 2,
"RequestReasonId": 1,
"RequestNote": "sample string 3",
"DeclineReasonId": 1,
"DeclineNote": "sample string 4",
"ResponseStatus": 1,
"ResponseById": 1,
"ResponseTime": "2026-06-20T07:12:28.050043-07:00",
"ReasonForDelete": "sample string 5",
"RequestReasonName": "sample string 6",
"RequestedUser": "sample string 7",
"EmployeeId": "sample string 8",
"CompanyEmployeeId": "sample string 9",
"CompanyName": "sample string 10",
"WLCode": "sample string 11",
"WLName": "sample string 12",
"FirstName": "sample string 13",
"LastName": "sample string 14",
"CaseCreatedDate": "2026-06-20T07:12:28.050043-07:00",
"CreatedDateCheck": "2026-06-20T07:12:28.050043-07:00",
"ResponseByUser": "sample string 15",
"EncounterId": 1,
"ValidFlag": true,
"DateCreated": "2026-06-20T07:12:28.050043-07:00",
"DateUpdated": "2026-06-20T07:12:28.050043-07:00",
"UserIDCreated": 19,
"UserIDUpdated": 20,
"CompanyCode": "sample string 21",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}